org.eclipse.mat.hprof

## Class Messages

- java.lang.Object
- - org.eclipse.osgi.util.NLS
  - - org.eclipse.mat.hprof.Messages

    public class Messages
    extends NLS

### Field Summary

Fields
`static String` `AbstractParser_Error_IllegalType`
`static String` `AbstractParser_Error_InvalidHPROFHeader`
`static String` `AbstractParser_Error_NotHeapDump`
`static String` `AbstractParser_Error_UnknownHPROFVersion`
`static String` `AbstractParser_Error_UnsupportedHPROFVersion`
`static String` `EnhancerRegistry_ErrorCreatingParser`
`static String` `EnhancerRegistry_ErrorCreatingRuntime`
`static String` `ExportHprof_AvoidExample`
`static String` `ExportHprof_DumpClasses`
`static String` `ExportHprof_DumpGCRoots`
`static String` `ExportHprof_DumpObjects`
`static String` `ExportHprof_DumpStrings`
`static String` `ExportHprof_DumpThreadStacks`
`static String` `ExportHprof_ExportTo`
`static String` `ExportHprof_PrepareClasses`
`static String` `ExportHprof_PrepareGCRoots`
`static String` `ExportHprof_PrepareObjects`
`static String` `ExportHprof_PrepareThreadStacks`
`static String` `ExportHprof_RemapProperties`
`static String` `ExportHprof_SegmentSizeMismatch`
`static String` `ExportHprof_SegmentTooLong`
`static String` `GZIPInputStream2_BadHeaderCRC`
`static String` `GZIPInputStream2_BadTrailerCRC`
`static String` `GZIPInputStream2_BadTrailerLength`
`static String` `GZIPInputStream2_NotAGzip`
`static String` `GZIPInputStream2_NotDeflate`
`static String` `GZIPInputStream2_TruncatedComment`
`static String` `GZIPInputStream2_TruncatedExtra`
`static String` `GZIPInputStream2_TruncatedHeader`
`static String` `GZIPInputStream2_TruncatedHeaderCRC`
`static String` `GZIPInputStream2_TruncatedName`
`static String` `HprofIndexBuilder_ExtractingObjects`
`static String` `HprofIndexBuilder_Parsing`
`static String` `HprofIndexBuilder_Scanning`
`static String` `HprofIndexBuilder_Writing`
`static String` `HprofParserHandlerImpl_Error_ExpectedClassSegment`
`static String` `HprofParserHandlerImpl_Error_MultipleClassInstancesExist`
`static String` `HprofParserHandlerImpl_HeapContainsObjects`
`static String` `HPROFPreferences_Additional_Class_References`
`static String` `HPROFPreferences_Description`
`static String` `HPROFPreferences_Strictness`
`static String` `HPROFPreferences_Strictness_Permissive`
`static String` `HPROFPreferences_Strictness_Stop`
`static String` `HPROFPreferences_Strictness_Warning`
`static String` `HprofRandomAccessParser_Error_DumpIncomplete`
`static String` `HprofRandomAccessParser_Error_DuplicateClass`
`static String` `HprofRandomAccessParser_Error_IllegalDumpSegment`
`static String` `HprofRandomAccessParser_Error_MissingClass`
`static String` `HprofRandomAccessParser_Error_MissingFakeClass`
`static String` `HPROFStrictness_Stopped`
`static String` `HPROFStrictness_Unhandled_Preference`
`static String` `IPositionInputStream_mark`
`static String` `IPositionInputStream_reset`
`static String` `IPositionInputStream_seek`
`static String` `JMapHeapDumpProvider_CompressingDump`
`static String` `JMapHeapDumpProvider_ErrorCreatingDump`
`static String` `JMapHeapDumpProvider_HeapDumpNotCreated`
`static String` `JMapHeapDumpProvider_ListProcesses`
`static String` `JMapHeapDumpProvider_WaitForHeapDump`
`static String` `LocalJavaProcessesUtils_ErrorGettingProcesses`
`static String` `LocalJavaProcessesUtils_ErrorGettingProcessListJPS`
`static String` `Pass1Parser_DetectedCompressedReferences`
`static String` `Pass1Parser_Error_IllegalRecordLength`
`static String` `Pass1Parser_Error_IllegalType`
`static String` `Pass1Parser_Error_InvalidHeapDumpFile`
`static String` `Pass1Parser_Error_invalidHPROFFile`
`static String` `Pass1Parser_Error_NoHeapDumpIndexFound`
`static String` `Pass1Parser_Error_SupportedDumps`
`static String` `Pass1Parser_Error_UnresolvedName`
`static String` `Pass1Parser_Error_WritingThreadsInformation`
`static String` `Pass1Parser_GuessingLengthOverflow`
`static String` `Pass1Parser_HeapDumpCreated`
`static String` `Pass1Parser_HeapDumpsFound`
`static String` `Pass1Parser_Info_UsingDumpIndex`
`static String` `Pass1Parser_Info_WroteThreadsTo`
`static String` `Pass1Parser_UnexpectedEndPosition`
`static String` `Pass1Parser_UnexpectedRecord`
`static String` `Pass2Parser_Error_HandleMustCreateFakeClassForName`
`static String` `Pass2Parser_Error_HandlerMustCreateFakeClassForAddress`
`static String` `Pass2Parser_Error_InsufficientBytesRead`

### Method Summary

### Methods inherited from class org.eclipse.osgi.util.NLS

`bind, bind, bind, initializeMessages`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### AbstractParser_Error_IllegalType

    public static String AbstractParser_Error_IllegalType

#### AbstractParser_Error_InvalidHPROFHeader

    public static String AbstractParser_Error_InvalidHPROFHeader

#### AbstractParser_Error_NotHeapDump

    public static String AbstractParser_Error_NotHeapDump

#### AbstractParser_Error_UnknownHPROFVersion

    public static String AbstractParser_Error_UnknownHPROFVersion

#### AbstractParser_Error_UnsupportedHPROFVersion

    public static String AbstractParser_Error_UnsupportedHPROFVersion

#### EnhancerRegistry_ErrorCreatingParser

    public static String EnhancerRegistry_ErrorCreatingParser

#### EnhancerRegistry_ErrorCreatingRuntime

    public static String EnhancerRegistry_ErrorCreatingRuntime

#### ExportHprof_AvoidExample

    public static String ExportHprof_AvoidExample

#### ExportHprof_ExportTo

    public static String ExportHprof_ExportTo

#### ExportHprof_PrepareClasses

    public static String ExportHprof_PrepareClasses

#### ExportHprof_PrepareGCRoots

    public static String ExportHprof_PrepareGCRoots

#### ExportHprof_PrepareObjects

    public static String ExportHprof_PrepareObjects

#### ExportHprof_PrepareThreadStacks

    public static String ExportHprof_PrepareThreadStacks

#### ExportHprof_DumpClasses

    public static String ExportHprof_DumpClasses

#### ExportHprof_DumpGCRoots

    public static String ExportHprof_DumpGCRoots

#### ExportHprof_DumpObjects

    public static String ExportHprof_DumpObjects

#### ExportHprof_DumpStrings

    public static String ExportHprof_DumpStrings

#### ExportHprof_DumpThreadStacks

    public static String ExportHprof_DumpThreadStacks

#### ExportHprof_RemapProperties

    public static String ExportHprof_RemapProperties

#### ExportHprof_SegmentSizeMismatch

    public static String ExportHprof_SegmentSizeMismatch

#### ExportHprof_SegmentTooLong

    public static String ExportHprof_SegmentTooLong

#### GZIPInputStream2_BadHeaderCRC

    public static String GZIPInputStream2_BadHeaderCRC

#### GZIPInputStream2_BadTrailerCRC

    public static String GZIPInputStream2_BadTrailerCRC

#### GZIPInputStream2_BadTrailerLength

    public static String GZIPInputStream2_BadTrailerLength

#### GZIPInputStream2_NotAGzip

    public static String GZIPInputStream2_NotAGzip

#### GZIPInputStream2_NotDeflate

    public static String GZIPInputStream2_NotDeflate

#### GZIPInputStream2_TruncatedComment

    public static String GZIPInputStream2_TruncatedComment

#### GZIPInputStream2_TruncatedExtra

    public static String GZIPInputStream2_TruncatedExtra

#### GZIPInputStream2_TruncatedHeader

    public static String GZIPInputStream2_TruncatedHeader

#### GZIPInputStream2_TruncatedHeaderCRC

    public static String GZIPInputStream2_TruncatedHeaderCRC

#### GZIPInputStream2_TruncatedName

    public static String GZIPInputStream2_TruncatedName

#### HprofIndexBuilder_ExtractingObjects

    public static String HprofIndexBuilder_ExtractingObjects

#### HprofIndexBuilder_Parsing

    public static String HprofIndexBuilder_Parsing

#### HprofIndexBuilder_Scanning

    public static String HprofIndexBuilder_Scanning

#### HprofIndexBuilder_Writing

    public static String HprofIndexBuilder_Writing

#### HprofParserHandlerImpl_Error_ExpectedClassSegment

    public static String HprofParserHandlerImpl_Error_ExpectedClassSegment

#### HprofParserHandlerImpl_Error_MultipleClassInstancesExist

    public static String HprofParserHandlerImpl_Error_MultipleClassInstancesExist

#### HprofParserHandlerImpl_HeapContainsObjects

    public static String HprofParserHandlerImpl_HeapContainsObjects

#### HprofRandomAccessParser_Error_DumpIncomplete

    public static String HprofRandomAccessParser_Error_DumpIncomplete

#### HprofRandomAccessParser_Error_DuplicateClass

    public static String HprofRandomAccessParser_Error_DuplicateClass

#### HprofRandomAccessParser_Error_IllegalDumpSegment

    public static String HprofRandomAccessParser_Error_IllegalDumpSegment

#### HprofRandomAccessParser_Error_MissingClass

    public static String HprofRandomAccessParser_Error_MissingClass

#### HprofRandomAccessParser_Error_MissingFakeClass

    public static String HprofRandomAccessParser_Error_MissingFakeClass

#### IPositionInputStream_mark

    public static String IPositionInputStream_mark

#### IPositionInputStream_reset

    public static String IPositionInputStream_reset

#### IPositionInputStream_seek

    public static String IPositionInputStream_seek

#### JMapHeapDumpProvider_ErrorCreatingDump

    public static String JMapHeapDumpProvider_ErrorCreatingDump

#### JMapHeapDumpProvider_HeapDumpNotCreated

    public static String JMapHeapDumpProvider_HeapDumpNotCreated

#### JMapHeapDumpProvider_WaitForHeapDump

    public static String JMapHeapDumpProvider_WaitForHeapDump

#### JMapHeapDumpProvider_ListProcesses

    public static String JMapHeapDumpProvider_ListProcesses

#### JMapHeapDumpProvider_CompressingDump

    public static String JMapHeapDumpProvider_CompressingDump

#### LocalJavaProcessesUtils_ErrorGettingProcesses

    public static String LocalJavaProcessesUtils_ErrorGettingProcesses

#### LocalJavaProcessesUtils_ErrorGettingProcessListJPS

    public static String LocalJavaProcessesUtils_ErrorGettingProcessListJPS

#### Pass1Parser_DetectedCompressedReferences

    public static String Pass1Parser_DetectedCompressedReferences

#### Pass1Parser_Error_IllegalRecordLength

    public static String Pass1Parser_Error_IllegalRecordLength

#### Pass1Parser_Error_IllegalType

    public static String Pass1Parser_Error_IllegalType

#### Pass1Parser_Error_InvalidHeapDumpFile

    public static String Pass1Parser_Error_InvalidHeapDumpFile

#### Pass1Parser_Error_invalidHPROFFile

    public static String Pass1Parser_Error_invalidHPROFFile

#### Pass1Parser_Error_NoHeapDumpIndexFound

    public static String Pass1Parser_Error_NoHeapDumpIndexFound

#### Pass1Parser_Error_SupportedDumps

    public static String Pass1Parser_Error_SupportedDumps

#### Pass1Parser_Error_UnresolvedName

    public static String Pass1Parser_Error_UnresolvedName

#### Pass2Parser_Error_HandleMustCreateFakeClassForName

    public static String Pass2Parser_Error_HandleMustCreateFakeClassForName

#### Pass2Parser_Error_HandlerMustCreateFakeClassForAddress

    public static String Pass2Parser_Error_HandlerMustCreateFakeClassForAddress

#### Pass2Parser_Error_InsufficientBytesRead

    public static String Pass2Parser_Error_InsufficientBytesRead

#### Pass1Parser_Info_UsingDumpIndex

    public static String Pass1Parser_Info_UsingDumpIndex

#### Pass1Parser_Info_WroteThreadsTo

    public static String Pass1Parser_Info_WroteThreadsTo

#### Pass1Parser_Error_WritingThreadsInformation

    public static String Pass1Parser_Error_WritingThreadsInformation

#### Pass1Parser_UnexpectedEndPosition

    public static String Pass1Parser_UnexpectedEndPosition

#### Pass1Parser_UnexpectedRecord

    public static String Pass1Parser_UnexpectedRecord

#### Pass1Parser_GuessingLengthOverflow

    public static String Pass1Parser_GuessingLengthOverflow

#### Pass1Parser_HeapDumpCreated

    public static String Pass1Parser_HeapDumpCreated

#### Pass1Parser_HeapDumpsFound

    public static String Pass1Parser_HeapDumpsFound

#### HPROFPreferences_Description

    public static String HPROFPreferences_Description

#### HPROFPreferences_Strictness

    public static String HPROFPreferences_Strictness

#### HPROFPreferences_Strictness_Stop

    public static String HPROFPreferences_Strictness_Stop

#### HPROFPreferences_Strictness_Warning

    public static String HPROFPreferences_Strictness_Warning

#### HPROFPreferences_Strictness_Permissive

    public static String HPROFPreferences_Strictness_Permissive

#### HPROFStrictness_Unhandled_Preference

    public static String HPROFStrictness_Unhandled_Preference

#### HPROFStrictness_Stopped

    public static String HPROFStrictness_Stopped

#### HPROFPreferences_Additional_Class_References

    public static String HPROFPreferences_Additional_Class_References